Name:           python-setuptools
Version:        75.5.0
Release:        %autorelease
Summary:        Easily download, build, install, upgrade, and uninstall Python packages

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://pypi.org/project/setuptools/
Source:         %{pypi_source setuptools}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'setuptools' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-setuptools
Summary:        %{summary}

%description -n python3-setuptools %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-setuptools check,core,cover,doc,enabler,test,type


%prep
%autosetup -p1 -n setuptools-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x check,core,cover,doc,enabler,test,type


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-setuptools -f %{pyproject_files}


%changelog
%autochangelog